#
# Conditional build:
%bcond_with	javascript	# enable experimental JavaScript XSLT extension
#
Summary:	XSL Transformations Processor
Summary(pl.UTF-8):	Procesor Transformacji XSL
Summary(pt_BR.UTF-8):	Processador de XSL
Name:		sablotron
Version:	1.0.3
Release:	2
License:	MPL v1.1 or GPL
Group:		Applications/Publishing/XML
#Source0Download:	http://www.gingerall.org/downloads.html
Source0:	http://download-1.gingerall.cz/download/sablot/Sablot-%{version}.tar.gz
# Source0-md5:	72654c4b832e7562f8240ea675577f5e
Patch0:		%{name}-link.patch
URL:		http://www.gingerall.org/sablotron.html
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	expat-devel >= 1.95.6-2
%{?with_javascript:BuildRequires:	js-devel}
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
Obsoletes:	libsablotron0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sablotron is an attempt to develop fast, compact and portable XSLT
processor. We need such a processor for Charlie, so we have decided to
create it. Sablotron is an open project; other users and developers
are encouraged to use it or to help us testing or improving it. The
goal of this project is to create a reliable and fast XSLT processor
conforming to the W3C specification, which is available for public and
can be used as a base for multi-platform XML data distribution
systems.

%description -l pl.UTF-8
Sablotron jest próbą stworzenia szybkiego, małego i przenośnego
procesora XSLT. Potrzebowaliśmy takiego procesora dla projektu
Charlie, więc zdecydowaliśmy się stworzyć odpowiedni. Sablotron jest
projektem otwartym. Inni użytkownicy i programiści mogą partycypować
przy tworzeniu, ulepszaniu, a także jego testowaniu. Celem tego
projektu jest stworzenie niezawodnego i szybkiego procesora XSLT,
który będzie zgodny z normami W3C oraz dostępny wszystkim tak, by
każdy mógł go użyć jako podstawę wieloplatformowych systemów
rozpowszechniania danych w standardzie XML.

%description -l pt_BR.UTF-8
Salotron é um processador XSL implementado em C++.

%package apidocs
Summary:	Sablotron API documetation
Summary(pl.UTF-8):	Dokumentacja API Sablotron
Group:		Documentation

%description apidocs
Sablotron API documetation.

%description apidocs -l pl.UTF-8
Dokumentacja API Sablotron.

%package devel
Summary:	Header files for sablotron library
Summary(es.UTF-8):	Archivos de inclusión del sablotron
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki sablotron
Summary(pt_BR.UTF-8):	Arquivos de inclusão do sablotron
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95.6-2
%{?with_javascript:Requires:	js-devel}
Requires:	libstdc++-devel
Obsoletes:	libsablotron0-devel

%description devel
Sablotron header files.

%description devel -l es.UTF-8
Archivos de inclusión del sablotron.

%description devel -l pl.UTF-8
Pliki nagłówkowe projektu Sablotron.

%description devel -l pt_BR.UTF-8
Salotron é um processador XSL implementado em C++.

Arquivos de inclusão do sablotron.

%package static
Summary:	Sablotron static library
Summary(pl.UTF-8):	Biblioteka statyczna Sablotrona
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a biblioteca sablotron
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Sablotron static library.

%description static -l es.UTF-8
Bibliotecas estáticas del sablotron.

%description static -l pl.UTF-8
Biblioteka statyczna projektu Sablotron.

%prep
%setup -q -n Sablot-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%{?with_javascript:CPPFLAGS="-I/usr/include/js"}
%configure \
	%{?with_javascript:--with-js}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_datadir}/doc/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README RELEASE doc/misc/{DEBUGGER,NOTES} %{?with_javascript:README_JS}
%attr(755,root,root) %{_bindir}/sabcmd
%attr(755,root,root) %{_libdir}/libsablot.so.*.*.*
%{_mandir}/man1/*

%files apidocs
%defattr(644,root,root,755)
%doc doc/apidoc/{sablot,sxp} %{?with_javascript:doc/apidoc/jsdom-ref}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sablot-config
%attr(755,root,root) %{_libdir}/libsablot.so
%{_libdir}/libsablot.la
%{_includedir}/s*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsablot.a
%changelog
* Sun Nov 11 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sablotron.git;a=log;h=master

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 1e79f70
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Mon Jun 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 38ee5bc
- updated download URL

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 290c34f
- up to 1.0.3

* Sun Mar 18 2007 Elan Ruusamäe <glen@pld-linux.org> 0822e47
- cosmetic

* Sun Mar 18 2007 Elan Ruusamäe <glen@pld-linux.org> 23a851d
- separated -apidocs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e81285e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5941893
- converted to UTF-8

* Sat May 27 2006 Jakub Bogusz <qboosh@pld-linux.org> b4aeafb
- argh. it was _NOT_ obsolete; replaced by link patch now

* Sat May 27 2006 Jakub Bogusz <qboosh@pld-linux.org> c9bfd39
- added link patch and devel deps
- updated javascript bcond, moved api docs to -devel

* Sat May 27 2006 Jakub Bogusz <qboosh@pld-linux.org> cb608b0
- link libsablot with used libs

* Sat May 27 2006 ciesiel <ciesiel@pld-linux.org> 28d0eae
- upgraded to version 1.0.2

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> d4074c4
- spaces->tabs
- formatting

* Thu Jul 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 4320abe
- quote __cc

* Thu Jul 22 2004 Jakub Bogusz <qboosh@pld-linux.org> 2f738b9
- strict deps, cosmetics

* Tue Jul 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 1eff5ee
- updated URL, License form unification

* Sun May 23 2004 Jakub Bogusz <qboosh@pld-linux.org> b7bdfb6
- updated Source0 URL

* Sun Dec 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 9a0c72d
- updated to 1.0.1
- updated expat patch, removed obsolete ac_fix,am15 patches
- new-style bcond

* Sun Dec 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 5d84a40
- updated for 1.0.1

* Sun Dec 14 2003 Jakub Bogusz <qboosh@pld-linux.org> e0464ef
- obsolete

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> 3729a7f
- caps unification

